/* Cart Item */
.cart-item {
  padding: 20px 0;
  border: solid var(--line-color);
  border-width: 1px 0;
  margin-bottom: -1px;
}

.cart-item:last-child {
  border-bottom: none;
}

.cart-item__row {
  display: flex;
  align-items: center;
  column-gap: 20px;
}

.cart-item__check-field {
  flex-shrink: 0;
}

.cart-item__check {
  margin: 0;
}

.cart-item__check input ~ span {
  padding-left: 20px;
}

.cart-item__image-field {
  position: relative;
  flex-shrink: 0;
  width: 180px;
}

.cart-item__image {
  position: relative;
}

.cart-item__image:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.cart-image__wrapper {
}

.cart-image__wrapper,
.cart-image__wrapper img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top center;
  border-radius: 10px;
}

.cart-item__stickers {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 3;
}

.cart-item__content-field {
  display: flex;
  align-items: center;
  column-gap: 20px;
  flex-grow: 1;
  min-width: 1px;
}

.cart-item__title-field {
  flex-grow: 1;
  min-width: 1px;
}

.cart-item__title {
  font-size: 16px;
  line-height: 24px;
  font-weight: 500;
  margin-bottom: 5px;
}

.cart-item__title:last-child {
  margin-bottom: 0;
}

.cart-item__price-field {
  display: flex;
  align-items: center;
  column-gap: 20px;
}

@media (min-width: 1400px) {
  .cart-item__price-field {
    column-gap: 40px;
  }

  .cart-item__total-col {
    min-width: 83px;
  }
}

.cart-item__price-col {
  flex-shrink: 0;
}

.cart-item__count-col {
  flex-shrink: 0;
}

.cart-item__total-col {
  flex-shrink: 0;
}

.cart-item__price,
.cart-item__total {
  font-size: 16px;
  line-height: 20px;
  font-weight: bold;
  white-space: nowrap;
}

.cart-item__old-price,
.cart-item__total-old {
  font-size: 13px;
  line-height: 1;
  color: var(--secondary-color);
  text-decoration: line-through;
  white-space: nowrap;
}

.cart-item__price em,
.cart-item__old-price em {
  font: inherit;
  display: inline;
}

.cart-item__count {
}

.cart-item__control-btns-field {
  display: flex;
  column-gap: 10px;
}

.cart-item__delete-btn-field {
}

.cart-item__delete-btn,
.cart-item__favorite-btn {
  padding: 0;
  width: 44px;
  height: 44px;
  background: none !important;
  color: var(--main-color);
}

.cart-item__delete-btn:hover,
.cart-item__favorite-btn:hover,
.cart-item__favorite-btn.is-active {
  color: var(--accent-color);
  box-shadow: none;
}

.cart-item__delete-btn .icon {
  width: 24px;
  height: 24px;
}

.cart-item__favorite-btn-field {
}

.cart-item__favorite-btn .icon {
  width: 28px;
  height: 26px;
}

.cart-item__favorite-btn.is-active .cart-item__favorite-btn-icon-normal {
  display: none;
}

.cart-item__favorite-btn:not(.is-active) .cart-item__favorite-btn-icon-add {
  display: none;
}

.cart-item__more-btn-field {
  position: relative;
}

.cart-item__more-btn {
  padding: 0;
  width: 25px;
  height: 44px;
  background: var(--white-color) !important;
  color: var(--main-color);
  border-radius: 5px 5px 0 0;
  border: 1px solid transparent;
  border-bottom: none;
  position: relative;
  transition: color 0.15s ease-in-out;
}

.cart-item__more-btn:hover,
.cart-item__more-btn-field.is-open .cart-item__more-btn {
  color: var(--accent-color);
  box-shadow: none;
}

.cart-item__more-btn-field.is-open .cart-item__more-btn {
  border-color: var(--accent-color);
  z-index: 11;
}

.cart-item__more-btn .icon {
  width: 3px;
  height: 23px;
}

.cart-item__more-list {
  position: absolute;
  right: 0;
  top: 100%;
  margin-top: -1px;
  white-space: nowrap;
  background-color: var(--white-color);
  border-radius: 5px;
  border: 1px solid var(--accent-color);
  border-top-right-radius: 0;
  overflow: hidden;
  z-index: 10;
  font-size: 13px;
  line-height: 20px;
  min-width: 168px;
  display: none;
}

.cart-item__more-btn-field.is-open .cart-item__more-list {
  display: block;
}

.cart-item__more-item {
}

.cart-item__more-link {
  display: block;
  border: none;
  background: none;
  width: 100%;
  text-align: left;
  padding: 8px 13px;
  cursor: pointer;
  color: inherit;
}

.cart-item__more-link:hover {
  background-color: var(--light-blue-bg);
}

.cart-item__list-link {
}

.cart-item__compare-link {
}

.cart-item__similar-link {
}

@media (max-width: 1399.98px) {
  .cart-item__row {
    column-gap: 15px;
  }

  .cart-item__content-field {
    column-gap: 15px;
  }

  .cart-item__price-field {
    column-gap: 15px;
  }

  .cart-item__total-col {
    min-width: 0;
  }

  .cart-item__control-btns-field {
    column-gap: 5px;
  }
}

@media (max-width: 991.98px) {
  .cart-item__content-field {
    display: block;
  }

  .cart-item__title-field {
    margin-bottom: 10px;
  }
}

@media (max-width: 767.98px) {
  .cart-item {
    padding: 15px 0;
  }

  .cart-item__row {
    padding-right: 60px;
    position: relative;
    align-items: flex-start;
  }

  .cart-item__check-field {
    position: absolute;
    right: 6px;
    top: 0;
  }

  .cart-item__image-field {
    width: 140px;
  }

  .cart-item__image-field .stickers__row {
    margin-bottom: 2px;
  }

  .cart-item__image-field .sticker {
    font-size: 10px;
    line-height: 18px;
    padding: 1px 8px;
    border-radius: 0 0 8px 0;
  }

  .cart-item__title {
    font-size: 14px;
  }

  .cart-item__price,
  .cart-item__total {
    font-size: 14px;
  }

  .cart-item__price-field {
    justify-content: space-between;
  }

  .cart-item__control-btns-field {
    position: absolute;
    right: 0;
    top: 30px;
    display: block;
  }

  .cart-item__delete-btn,
  .cart-item__favorite-btn,
  .cart-item__more-btn {
    width: 34px;
    height: 34px;
  }
}

@media (max-width: 575.98px) {
  .cart-item__row {
    flex-wrap: wrap;
    padding-right: 0;
  }

  .cart-item__image-field {
    margin: 0 auto;
  }

  .cart-item__content-field {
    order: 1;
    width: 100%;
  }

  .cart-item__title {
    margin-top: 10px;
    text-align: center;
  }
}
/* Cart Item */
